Subject: Re: [PATCH] net: Remove redundant NAPI functions

From: Ben Hutchings <[email-masked]>
Date: Mon, 12 Jan 2009 14:09:50 +0000

On Mon, 2009-01-12 at 07:13 +0000, Jarek Poplawski wrote:
> On Thu, Jan 08, 2009 at 08:30:10PM +0000, Ben Hutchings wrote:
> > Following the removal of the unused struct net_device * parameter from
> > the NAPI functions named *netif_rx_* in commit 908a7a1, they are
> > exactly equivalent to the corresponding *napi_* functions and are
> > therefore redundant.
> > 
> > Signed-off-by: Ben Hutchings <[email-masked]>
> > ---
> ...
> 
> Alas I wasn't able to send this earlier, but here is some issue
> (I see Krzysztof tried to patch this too):
>
> > diff --git a/drivers/net/wan/ixp4xx_hss.c b/drivers/net/wan/ixp4xx_hss.c
> > index 2dc2416..9ea167b 100644
> > --- a/drivers/net/wan/ixp4xx_hss.c
> > +++ b/drivers/net/wan/ixp4xx_hss.c
[...]

What's the issue - does it conflict with another change to this file?

> Plus a missing chunk for: drivers/staging/benet/be_int.c.

That didn't go in via net-next-2.6.

Since the merge window is closed I assume this will now be deferred to
2.6.30.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.